diff --git a/deploy_app.sh b/deploy_app.sh
index cb34883c1fc138575b43c87b489458cb227b72bb..359aa39d4bd79df2021afbc5c72e860261db8dbf 100755
--- a/deploy_app.sh
+++ b/deploy_app.sh
@@ -179,6 +179,11 @@ function deploy(){
     header "Switch into install dir ${installdir} ..."
     test -d "${installdir}" || mkdir -p "${installdir}"
     cd ${installdir} || exit 2
+    ls -1 * >/dev/null 2>&1
+    if [ $? -ne 0 ]; then
+        echo "INFO: target directory is empty."
+        isupdate=$isupdate+1
+    fi
 
 
     # ----------------------------------------------------------------------